#ifndef UART_H
#define UART_H

#include <targets/LPC2103.h>
#include <targets/liblpc2000.h>
#include <ctl_api.h>

#define STX 0x03
#define ETX 0x02
#define LF 0x0A

#define TEMT (1<<6)
#define UARTRDY (U0LSR & 0x01)


//UART
void UART0_ISR(void);
void Init_UART (void);
void ProcessUART (void);

void UART_TX(unsigned char dataOut);
void UART_STR(char* dataOut);

extern char DataFlag;
extern char DataRX;

//GLOBAL UART STUFF
extern char RX_CMD[4];
extern char RX_ARG[30];
extern char CmdPos;
extern char ArgPos;
extern char CmdRdy;
#endif
