#ifndef main_h
#define main_h

#include <targets/LPC2103.h>
#include <targets/liblpc2000.h>

#include <ctl_api.h>
#include <cross_studio_io.h>
#include <string.h>
#include <stdio.h>

#include "main.h"
#include "diskio.h"
#include "pff.h"
#include "integer.h"
#include "spi.h"
#include "pll.h"
#include "uart.h"

#define Timer1 (T1IR & 0x01)

extern BYTE isMounted;
extern BYTE UartSTR[40];
extern UINT File_Count;

int main(void);
void Delay_MS(int time);
void Delay_US(int time);
void InitTimer1(void);

int Port0(int pin);
void Dir0(int pin,int dir);
void Lat0(int pin,int val);
void LoadByte(int byte, int start);

FRESULT MountSD(void);
void ParseCommand(void);


#define OUT 1
#define IN 0

#define HIGH 1
#define LOW 0

#endif
