#include "pll.h"

void setup_pll(void)
{
    PLLCFG = 0x26; //Config for 70Mhz
    PLLCON = 0x01; //Turn On
     
    //PLL FEED Sequence
    PLLFEED = 0xAA;
    PLLFEED = 0x55;
     
    //Set the peripheral clock
    APBDIV = 0x01;

    //Wait until PLL is LOCKED
    while(!(PLLSTAT & 0x400));
     
    //Connect the PLL
    PLLCON = 0x03;
     
    //PLL FEED Sequence
    PLLFEED = 0xAA;
    PLLFEED = 0x55;
}