#ifndef spi_h
#define spi_h

#include "main.h"

#define SPIF (1<<4)
#define SD_CS (1<<21)
#define SD_CD ((IO0PIN >> 22) & 0x01)

void INIT_SPI(BYTE speed);
BYTE xmit_spi(BYTE data);
BYTE rcv_spi (void);
void SELECT(void);
void DESELECT(void);
void release_spi (void);
char CheckSD(void);

#endif